> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetBusinessAnalysisAttributes

> This endpoint will provide you with all Business Analysis Use-Case Attributes.

This endpoint will provide you with all Business Analysis Use-Case Attributes. Please refer to our Quickstart guide for further information on the use-cases / when to use this specific endpoint.


## OpenAPI

````yaml GET /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetBusinessAnalysisAttributes
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetBusinessAnalysisAttributes:
    get:
      tags:
        - Enrich
      summary: Get Business Analysis Attributes
      description: >-
        This endpoint will provide you with all Business Analysis Use-Case
        Attributes.
      operationId: getBusinessAnalysisAttributes
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment.
        - name: loginId
          in: path
          required: true
          description: GUID representing end user's login ID.
          schema:
            type: string
        - name: requestId
          in: path
          required: true
          description: GUID representing an authorized request to the API.
          schema:
            type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  Card:
                    type: object
                    description: >-
                      Object containing an Id field (end user's loginId) and all
                      the requested business analysis attributes (name: value
                      pairs).
                  Login:
                    type: object
                    description: Object representing end user's technical information.
                  RequestId:
                    type: string
                    description: GUID representing an authorized request to the API.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  FlinksCode:
                    type: string
        '401':
          description: Unauthorized

````